Bug 211898 - xorg-x11-devel: missing dep on libGL/libGLU
xorg-x11-devel: missing dep on libGL/libGLU
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2006-10-23 15:02 EDT by Rex Dieter
Modified: 2012-04-17 15:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-17 15:23:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-10-23 15:02:51 EDT
xorg-x11-devel contains the symlinks 
but xorg-x11-devel doesn't contain any (direct) dependancy to pull in the target
of that symlink.  The same can be said for libGL, but that get's pulled
indirectly via xorg-x11-libs.

Not sure how best to handle this, but possibilities include:
1.  using file deps: -devel should
Requires: %{_x11libdir}/libGLU.so
Requires: %{_x11libdir}/libGL.so

2.  using explicit pkg deps: -devel should:
Requires: %{name}-Mesa-libGL = %{version]-%{release}
Requires: %{name}-Mesa-libGLU = %{version]-%{release}

3.  using virtual libGL/libGLU dep: -devel should
Requires: libGL.%{_target_cpu} libGLU.%{_target_cpu}
and -Mesa-libGL should
Provides: libGL.%{_target_cpu} = %{libGL_version}
and -Mesa-libGLU should
Provides: libGLU.%{_target_cpu} = %{libGLU_version}

I'd say 1 appears to be simplest/sanest approach.
Comment 1 Matěj Cepl 2007-10-17 04:41:30 EDT
Yes, I can confirm with the currently updated RHEL4 this is true. Sorry, for
letting this slip out of our screen for so long.
Comment 2 Adam Jackson 2012-04-17 15:23:06 EDT
No further non-security updates are planned for xorg-x11 in RHEL4.  If this issue is not addressed in RHEL5 or newer, please update the affected product version and reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.